
<?php
ini_set("max_execution_time", 5000);
ini_set('memory_limit', '1024M');
$abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
?>
<div style="position:absolute;top:30px;left:30px"><img src="<?= $ar_pemda->s_logo ?>" width="70"></div>
<div>
    <div style='width: 100%;font-family:sans-serif;text-align: center;'>
        <strong style=" font-size: 13pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
        <strong style=" font-size: 15pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
        <span style="font-size:10pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
    </div>
    <hr style="line-height: 1px; color: black">
    <h2 style="text-align: center;font-family:sans-serif;">LAPORAN HARIAN BUKU KAS UMUM<br><b style="font-size: 12pt;font-family:sans-serif;">Bulan <?= $abulan[date('m', strtotime($tglcetak))] ?> Tahun <?= date('Y', strtotime($tglcetak)) ?></b></h2>
    <span style="font-family:sans-serif;">Penerimaan Tanggal <?=date('d', strtotime($tglproses)).' '.$abulan[date('m', strtotime($tglproses))].' '.date('Y', strtotime($tglproses))?></span>
    <table width="100%" class="font_sembilan" style="text-align: center;font-family:sans-serif;border-collapse: collapse;">
        <tr>
            <th rowspan="2" style=" border: 1px solid black;">
                KODE REKENING
            </th>
            <th rowspan="2" style=" border: 1px solid black;">
                JENIS PENERIMAAN PAJAK
            </th>
            <th rowspan="2" style=" border: 1px solid black;">
                TARGET ANGGARAN
            </th>
            <th colspan="3" style=" border: 1px solid black;">
                PENERIMAAN
            </th>
            <th colspan="3" style=" border: 1px solid black;">
                PENGELUARAN
            </th>
        </tr>
        <tr>
            <th style=" border: 1px solid black;">
                JUMLAH HARI INI
            </th>
            <th style=" border: 1px solid black;">
                JUMLAH S/D<BR>HARI LALU
            </th>
            <th style=" border: 1px solid black;">
                JUMLAH S/D<BR>HARI INI`
            </th>
            <th style=" border: 1px solid black;">
                JUMLAH HARI INI
            </th>
            <th style=" border: 1px solid black;">
                JUMLAH S/D<BR>HARI LALU
            </th>
            <th style=" border: 1px solid black;">
                JUMLAH S/D<BR>HARI INI`
            </th>
        </tr>
        <?php
        $total_target = 0;
        $total_sdharilalu = 0;
        $total_hariini = 0;
        $total_sdhariini = 0;
        $total_sdharilalu_pengeluaran = 0;
        $total_sdhariini_pengeluaran = 0;
        $total_hariini_pengeluaran = 0;
        $counter = 1;
        foreach ($this->data as $k => $v) {
            if ($v['s_rinciankorek'] == '00') {
                $b = '<b>';
                $b1 = '</b>';
            } else {
                $b = '';
                $b1 = '';
            }
            
            ?>
            <tr>
                <td style="text-align: left;border: 1px solid black;">
                    <?= $b ?><?= str_ireplace('.00', '', $v['korek']) ?><?= $b1 ?>
                </td>
                <td style="text-align: left;border: 1px solid black;">
                    <?= $b ?><?= $v['s_namakorek'] ?><?= $b1 ?>
                </td>
                <td style="text-align: right;border: 1px solid black;">
                    <?= $b ?><?= number_format($v['targetjumlah'], 0, ',', '.') ?><?= $b1 ?>
                </td>
                <td style="text-align: right;border: 1px solid black;">
                    <?= $b ?><?= number_format($v['real_hariini'], 0, ',', '.') ?><?= $b1 ?>
                </td>
                <td style="text-align: right;border: 1px solid black;">
                    <?= $b ?><?= number_format($v['real_sdharilalu'], 0, ',', '.') ?><?= $b1 ?>
                </td>
                <td style="text-align: right;border: 1px solid black;">
                    <?= $b ?><?= number_format($v['real_sdhariini'], 0, ',', '.') ?><?= $b1 ?>
                </td>
                <td style="text-align: right;border: 1px solid black;">
                    <?= $b ?><?= number_format($v['pengeluaran_hariini'], 0, ',', '.') ?><?= $b1 ?>
                </td>
                <td style="text-align: right;border: 1px solid black;">
                    <?= $b ?><?= number_format($v['pengeluaran_sdharilalu'], 0, ',', '.') ?><?= $b1 ?>
                </td>
                <td style="text-align: right;border: 1px solid black;">
                    <?= $b ?><?= number_format($v['pengeluaran_sdhariini'], 0, ',', '.') ?><?= $b1 ?>
                </td>
            </tr>
            <?php
            $total_target += $v['targetjumlah'];
            $total_sdharilalu += $v['real_sdharilalu'];
            $total_hariini += $v['real_hariini'];
            $total_sdhariini += $v['real_sdhariini'];

            $total_sdharilalu_pengeluaran += $v['pengeluaran_sdharilalu'];
            $total_hariini_pengeluaran += $v['pengeluaran_hariini'];
            $total_sdhariini_pengeluaran += $v['pengeluaran_sdhariini'];
            
        }
        ?>
        <tr>
            <th colspan="2" style="border: 1px solid black;">
                J&nbsp; U&nbsp; M&nbsp; L&nbsp; A&nbsp; H
            </th>
            <th style="text-align: right;border: 1px solid black;">
                <?= number_format($total_target / 3, 0, ',', '.') ?>
            </th>
            <th style="text-align: right;border: 1px solid black;">
                <?= number_format($total_hariini / 3, 0, ',', '.') ?>
            </th>
            <th style="text-align: right;border: 1px solid black;">
                <?= number_format($total_sdharilalu / 3, 0, ',', '.') ?>
            </th>
            <th style="text-align: right;border: 1px solid black;">
                <?= number_format($total_sdhariini / 3, 0, ',', '.') ?>
            </th>
            <th style="text-align: right;border: 1px solid black;">
                <?= number_format($total_hariini_pengeluaran / 3, 0, ',', '.') ?>
            </th>
            <th style="text-align: right;border: 1px solid black;">
                <?= number_format($total_sdharilalu_pengeluaran / 3, 0, ',', '.') ?>
            </th>
            <th style="text-align: right;border: 1px solid black;">
                <?= number_format($total_sdhariini_pengeluaran / 3, 0, ',', '.') ?>
            </th>
        </tr>
    </table>
    <br><br>
    <table width="100%" cellpadding="2" cellspacing="2">
        <tr>
            <td width="40%"></td>
            <td width="30%" align="center">Mengetahui</td>
            <td width="30%" align="center"><?= $ar_pemda->s_namaibukotakabkota ?>, <?= $tglcetak ?></td>
        </tr>
        <tr>
            <td>
                <table>
                    <tr>
                        <td colspan="3">Rekapitulasi :</td>
                    </tr>
                    <tr>
                        <td>1. Jumlah Penerimaan </td><td>: Rp. </td><td align="right"><?= number_format($total_sdhariini / 3, 0, ',', '.') ?></td>
                    </tr>
                    <tr>
                        <td>2. Jumlah Pengeluaran </td><td>: Rp. </td><td align="right"><?= number_format($total_sdhariini_pengeluaran / 3, 0, ',', '.') ?></td>
                    </tr>
                    <tr>
                        <td>Sisa Kas per</td><td style="border-top:1px solid black;border-bottom:1px solid black;">: Rp. </td><td style="border-top:1px solid black;border-bottom:1px solid black;" align="right"><?= number_format(($total_sdhariini / 3) - ($total_sdhariini_pengeluaran / 3), 0, ',', '.') ?></td>
                    </tr>
                </table>
            </td>
            <td align="center"><?= strtoupper($ar_mengetahui->s_jabatanpej) ?>
                <br><br><br><br>
            <div style="text-decoration:underline;"><?= $ar_mengetahui->s_namapej ?></div>
            <div><?= $ar_mengetahui->s_pangkatpej ?></div>
            <div><?= $ar_mengetahui->s_nippej ?></div>
            </td>
            <td align="center"><?= strtoupper($ar_diperiksa->s_jabatanpej) ?>
                <br><br><br><br>
                <div style="text-decoration:underline;"><?= $ar_diperiksa->s_namapej ?></div>
            <div><?= $ar_diperiksa->s_pangkatpej ?></div>
            <div><?= $ar_diperiksa->s_nippej ?></div>
            </td>
        </tr>
    </table>
    <br/>
</div>
<htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family:sans-serif;font-size: 7pt;" width="100%">
            <tbody>
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </tbody>
        </table>
    </htmlpagefooter>

<style type="text/css" media="print">
    .font_empatbelas {
        font-size: 14pt;
    }    
    @page{
        margin: 30px 40px 55px 30px;
        font-family:sans-serif;
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }
    
</style>
